=== debian/control ===
Source: guile-oops
Section: interpreters
Priority: optional
Maintainer: Mikael Djurfeldt <djurfeldt@nada.kth.se>
Build-Depends: debhelper (>= 1.1.17), libguile-dev, tetex-bin, texinfo
Standards-Version: 3.0.1

Package: libgoops5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: libgoops2
Suggests: libgoops5-dev, goops, goops-doc
Description: Shared libraries for goops.
 GOOPS is the object oriented extension to Guile.
 .
 This package contains everything an application needs to run
 GOOPS. It basically consists of a shared library which can be
 dynamically linked into Guile, and a set of Scheme code libraries.
 .
 Other GOOPS packages are: libgoops5-dev, goops, goops-doc
 .
 The implementation is derived from STk-3.99.3 by Erick Gallesio and
 version 1.3 of Gregor Kiczales `Tiny-Clos'.  It is very close in
 spirit to CLOS, the Common Lisp Object System (`CLtL2') but is adapted
 for the Scheme language. While GOOPS is not compatible with any of
 these systems, GOOPS contains a compatibility module which allows for
 execution of STKlos programs.
 .
 Briefly stated, the GOOPS extension gives the user a full object
 oriented system with multiple inheritance and generic functions with
 multi-method dispatch.  Furthermore, the implementation relies on a
 true meta object protocol, in the spirit of the one defined for CLOS
 (Gregor Kiczales: A Metaobject Protocol).

Package: goops
Section: interpreters
Architecture: any
Depends: libgoops5 (= ${Source-Version})
Description: Guile interpreter linked with GOOPS.
 GOOPS is the object oriented extension to Guile.
 .
 GOOPS can be dynamically loaded into any Guile interpreter.  However,
 this package is useful if dynamic loading doesn't work on your system.
 .
 Other GOOPS packages are: libgoops5, libgoops5-dev, goops-doc
 .
 The implementation is derived from STk-3.99.3 by Erick Gallesio and
 version 1.3 of Gregor Kiczales `Tiny-Clos'.
 .
 See `libgoops5' for further information.

Package: libgoops5-dev
Section: devel
Architecture: any
Depends: libgoops5 (= ${Source-Version})
Replaces: libgoops2-dev
Description: Development headers and static libraries for goops.
 GOOPS is the object oriented extension to Guile.
 .
 Other GOOPS packages are: libgoops5, goops, goops-doc
 .
 The implementation is derived from STk-3.99.3 by Erick Gallesio and
 version 1.3 of Gregor Kiczales `Tiny-Clos'.
 .
 See `libgoops5' for further information.

Package: goops-doc
Section: doc
Architecture: all
Description: Documentation for goops
 GOOPS is the object oriented extension to Guile.
 .
 This package provides documentation in texinfo, info and postscript formats.
 .
 Other GOOPS packages are: libgoops5, libgoops5-dev, goops
 .
 The implementation is derived from STk-3.99.3 by Erick Gallesio and
 version 1.3 of Gregor Kiczales `Tiny-Clos'.
 .
 See `libgoops5' for further information.
