## guile-oops 1.0.2-2.3

=== debian/changelog ===
guile-oops (1.0.2-2.3) unstable; urgency=low

  * NMU by Gunnar Wolf
  * Fixed debian/goops-doc.info so it will build with current version of
    texinfo (Closes: #204036)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 22 Aug 2003 18:26:10 -0500
